Skip to main content
GET
Get Audit Log

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Auth:Logs:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

id
required

Log id you need information about.

Required string length: 1 - 64
Pattern: ^uj-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"uj-22lhj-mp2ir-88at3r4cufpis60i"

Response

200 - application/json

Success

id
required

Log id.

Required string length: 1 - 64
Pattern: ^uj-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"uj-22lhj-mp2ir-88at3r4cufpis60i"

action
string
required

Action performed.

actionToken
string
required

User Action Signature used as token for permorming this action.

userId
string | null
required

User who performed the action.

Required string length: 1 - 64
Pattern: ^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"us-6b58p-r53sr-rlrd3l5cj3uc4ome"

username
string | null
required

Username who performed the action.

datePerformed
string<date-time> | null
required

ISO 8601 date (must be UTC). When this action was performed (consumed by its handler).

Example:

"2023-04-14T20:41:28.715Z"

dateSigned
string<date-time> | null
required

ISO 8601 date (must be UTC). Date when the user action token was signed.

Example:

"2023-04-14T20:41:28.715Z"

dateResolved
string<date-time> | null
required

ISO 8601 date (must be UTC). When this action reached its final outcome (handler finished and the HTTP status was recorded). Null for legacy rows recorded before outcome tracking.

Example:

"2023-04-14T20:41:28.715Z"

responseStatus
string | null
required

Final HTTP status code returned for this action (e.g. "200", "403"). Null for legacy rows recorded before outcome tracking.

responseError
string | null
required

Failure reason for the action, when it failed. Null on success or when no failure reason was recorded.

firstFactorCredential
object
required

Cryptographic Signature details. Use these parameters if you want to validate the signature.